Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 04/03/2019 in all areas

  1. Here's a simple process that does not use LISP but relies on the Booleans and regions. 1. Select all the objects and convert them to regions then select all the red regions and union them together. Note, to simplify the selection of the red regions just select all then type R (remove) and click on the white region. 2. Use the Boolean intersect on the two regions resulting in the shapes you want. 3. Use explode twice to get the outlines of the shapes.
    1 point
  2. You posted almost the exact same request for an interpolation lisp on March 26 and there were numerous replies back and forth. Why is this "new" thread required? Is it that you didn't like any of the replies or advice given?
    1 point
  3. Here is one way to do it checking that the start/endpoint x's or y's are not equal. (defun c:foo (/ a b s) (cond ((setq s (ssget '((0 . "lwpolyline") (90 . 2)))) (foreach x (vl-remove-if 'listp (mapcar 'cadr (ssnamex s))) (setq a (vlax-curve-getstartpoint x)) (setq b (vlax-curve-getendpoint x)) (if (or (equal (car a) (car b) 1e-8) (equal (cadr a) (cadr b) 1e-8)) (ssdel x s) ) ) (sssetfirst nil s) ) ) (princ) )
    1 point
×
×
  • Create New...